/************************************************************
 * HMMER - Biological sequence analysis with profile HMMs
 * Copyright (C) 1992-2003 Washington University School of Medicine
 * All Rights Reserved
 * 
 *     This source code is distributed under the terms of the
 *     GNU General Public License. See the files COPYING and LICENSE
 *     for details.
 ************************************************************/

/* marwis:structs.h
 * 
 * Data structures used in HMMER extensions by M. Wistrand.
 * 
 */

#ifndef MSTRUCTSH_INCLUDED
#define MSTRUCTSH_INCLUDED

#include "config.h"

#include "squid.h"
#include "ssi.h"

/* Structure: seqscore_s
 * 
 * marwis
 *
 * List of sequences, their score and seqs length
 * To use by adjust_transitions
 */

struct seqscore_s {
  float  *score;
  float  *newscore;
  int    *queue;
  int    *sqlen;
  char   **seq;
  char   **dsq;
  SQINFO *sqinfo;
};

/* Structure: state_densities
 * 
 * marwis
 *
 * Keeps track of the percentage of observed transitions in each column
 * Built from the traceback. To use by adjust_transitions
 */

struct state_densities {
  float  *M;
  float  *D;
  float  *I;
};



#endif /* MSTRUCTSH_INCLUDED */
